Bug 8597 - Netscape lacks poll() wrapper.
Netscape lacks poll() wrapper.
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-01-19 04:38 EST by David Woodhouse
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-01 22:11:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2000-01-19 04:38:47 EST
Netscape uses its own threading model, and provides an override for the
select() function call to prevent a rogue thread from blocking the whole

Unfortunately, it fails to provide a similar wrapper for the poll()
function call, with the disastrous effect that any library or plugin using
poll() will cause netscape to lock up.

The category of 'library or plugin using poll()' happens to include the
latest version of the XFree86 libXt. This is, to say the least,

It's fairly likely that there's already a netscape wrapper for poll(), used
on some other *nix platform, and that it just needs to be enabled for
compilation on the Linux build. Even if not, it should be trivial for
someone with access to the Netscape source to provide one, and possibly
distribute it as an LD_PRELOADable library, if not an updated binary.

I'm not sure if Red Hat has access to the Netscape source tree in order to
maintain the "linux2.2" (actually more accurately named "glibc2.1") version
of the browser, but even if not, it might be possible for Red Hat to ask
Netscape to produce this modification/library.

If Red Hat doesn't have Netscape source access - then perhaps it could be
arranged. I'm fairly sure that Netscape do provide source to platform
vendors in order for them to maintain specific versions of the browser. Red
Hat could do the same.
Comment 1 Bill Nottingham 2000-02-01 22:11:59 EST
It's known about and reported to netscape; no fix yet aside from
compiling the latest Xt without poll() support.

Note You need to log in before you can comment on or make changes to this bug.